package org.processmining.filterd.configurations;

import java.util.ArrayList;
import java.util.List;

public class NotebookConfiguration {

	private String notebookFileName;
	private String computationCellFileName;
	private String textCellFileName;
	private String preferredVisualizerPrefix;
	private List<String> cells;
	private boolean autoSize;
	private boolean hideEventLog;
	private String notebookLabel;

	/**
	 * Create a default configuration for the Filterd notebook.
	 */
	public NotebookConfiguration() {
		/*
		 * Set the default JavaFX files.
		 */
		setNotebookFileName("AnalysisNotebook/Notebook.fxml");
		setComputationCellFileName("AnalysisNotebook/ComputationCell.fxml");
		setTextCellFileName("AnalysisNotebook/TextCell.fxml");
		/*
		 * Set the default visualizer prefix to null, which means no default
		 * visualizer.
		 */
		setPreferredVisualizerPrefix(null);
		/*
		 * Initially, no cells.
		 */
		setCells(new ArrayList<String>());
		setAutoSize(false);
		setHideEventLog(false);
		setNotebookLabel("Analysis Notebook");
	}

	public String getComputationCellFileName() {
		return computationCellFileName;
	}

	public void setComputationCellFileName(String computationCellFileName) {
		this.computationCellFileName = computationCellFileName;
	}

	public String getTextCellFileName() {
		return textCellFileName;
	}

	public void setTextCellFileName(String textCellFileName) {
		this.textCellFileName = textCellFileName;
	}

	public String getNotebookFileName() {
		return notebookFileName;
	}

	public void setNotebookFileName(String notebookFileName) {
		this.notebookFileName = notebookFileName;
	}

	public String getPreferredVisualizerPrefix() {
		return preferredVisualizerPrefix;
	}

	public void setPreferredVisualizerPrefix(String preferredVisualizerPrefix) {
		this.preferredVisualizerPrefix = preferredVisualizerPrefix;
	}

	public List<String> getCells() {
		return cells;
	}

	public void setCells(List<String> cells) {
		this.cells = cells;
	}

	public boolean isAutoSize() {
		return autoSize;
	}

	public void setAutoSize(boolean autoSize) {
		this.autoSize = autoSize;
	}

	public boolean isHideEventLog() {
		return hideEventLog;
	}

	public void setHideEventLog(boolean hideEventLog) {
		this.hideEventLog = hideEventLog;
	}

	public String getNotebookLabel() {
		return notebookLabel;
	}

	public void setNotebookLabel(String notebookLabel) {
		this.notebookLabel = notebookLabel;
	}

}
