package org.processmining.filterd.gui;

/**
 * Enumeration containing all the states in which a (computation) cell can be
 */
public enum CellStatus {
	IDLE("Idle", "#67A767;"), // everything is valid and the cells are computed
	IN_PROGRESS("In progress", "#DBB980;"), // computation is in progress
	OUT_OF_DATE("Out of date", "#799EA4;"), // something regarding the cell has changed so it has to be recomputed
	INVALID("Invalid", "#C25D5D;"); // something regarding the cell is invalid (in this case error messages are shown to specify what exactly)
	
	private String text;
	private String color;
	
	private CellStatus(String text, String color) {
		this.text = text;
		this.color = color;
	}
	
	public String toString() {
		return text;
	}

	public String getColor() {
		return color;
	}
}
