package org.processmining.filterd.plugins;

import java.io.InputStream;

import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.filterd.models.AnalysisNotebook;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;

@Plugin(name = "Import Analysis Notebook from file", 
	level = PluginLevel.Regular, // Not good enough for ProM Lite yet.
	parameterLabels = { "Filename" }, //
	returnLabels = { "Imported Analysis Notebook" }, //
	returnTypes = { AnalysisNotebook.class })
@UIImportPlugin(description = "Analysis Notebook file", extensions = { "xpmnb", "xpmef" })
public class AnalysisNotebookImport extends NotebookImport {

	protected AnalysisNotebook importFromStream(final PluginContext context, final InputStream input,
			final String filename, final long fileSizeInBytes) throws Exception {
		
		return new AnalysisNotebook(getXML(context, input, filename, fileSizeInBytes));
	}
	
	public String getLabel(String filename) {
		return "Analysis Notebook imported from " + filename;
	}
	
}

