package org.processmining.filterd.plugins;

import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.filterd.models.AnalysisNotebook;
import org.processmining.filterd.models.EventFilter;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "Convert Event Filter to Analysis Notebook", returnLabels = { "Analysis Notebook" }, returnTypes = {
		AnalysisNotebook.class }, parameterLabels = { "Event Filter" }, userAccessible = true)
public class EventFilter2AnalysisNotebookConversion {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W. Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(variantLabel = "Convert Event Filter to Analysis Notebook", requiredParameterLabels = { 0 })
	public AnalysisNotebook run(PluginContext context, EventFilter eventFilter) {
		return new AnalysisNotebook(eventFilter.getContents());
	}
}
