package org.processmining.filterd.plugins;

import java.io.InputStream;

import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.filterd.models.EventFilter;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;

@Plugin(name = "Import Event Filter from file", //
	level = PluginLevel.PeerReviewed, // Good enough for ProM Lite
	parameterLabels = { "Filename" }, //
	returnLabels = { "Imported Event Filter" }, //
	returnTypes = { EventFilter.class })
@UIImportPlugin(description = "Event Filter file", extensions = { "xpmef" })
public class EventFilterImport extends NotebookImport {

	protected EventFilter importFromStream(final PluginContext context, final InputStream input,
			final String filename, final long fileSizeInBytes) throws Exception {
		
		return new EventFilter(getXML(context, input, filename, fileSizeInBytes));
	}
	
	public String getLabel(String filename) {
		return "Event Filter imported from " + filename;
	}
	
}