package org.processmining.filterd.plugins;

import java.io.FileInputStream;
import java.io.InputStream;

import org.apache.commons.io.IOUtils;
import org.processmining.filterd.models.Notebook;
import org.processmining.framework.abstractplugins.AbstractImportPlugin;
import org.processmining.framework.plugin.PluginContext;

public abstract class NotebookImport extends AbstractImportPlugin {

	@Override
	protected abstract Notebook importFromStream(final PluginContext context, final InputStream input,
			final String filename, final long fileSizeInBytes) throws Exception;
	
	public abstract String getLabel(String filename);
	
	public String getXML(final PluginContext context, final InputStream input,
			final String filename, final long fileSizeInBytes) throws Exception {
		context.getFutureResult(0).setLabel("Analysis Notebook imported from " + filename); // set the name that will appear in the workspace.
		FileInputStream fis = new FileInputStream(getFile().toPath().toString()); // open the file.
		String xml = IOUtils.toString(fis, "UTF-8"); //convert the file to a string.
		fis.close(); // close the file.
		return xml;
	}
}